
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <h1>Mobile Mutant Testing</h1>
      <br>
    </div>
    <div class="col-md-12">
      <h4 class="text-dark">Adjunte el APK</h4>
    </div>
    <div class="col-md-12">
      <!-- <input type="file" (change)="OnFileSelected($event)"> -->
      <div class="custom-file">  
        <input type="file" class="custom-file-input" #ifile name="ifile"
            (change)="OnFileSelected($event)">
        <label class="custom-file-label" for="validatedCustomFile">Choose file...</label>
      </div>
    </div>

    <!-- EVENTS -->
    <div class="col-md-6">
      <br>
      <h4 class="text-dark">Eventos</h4>
      <div class="custom-file">  
        <input name="ievent" [(ngModel)]="events" type="number" class="form-control text-dark"
        placeholder="Número de eventos" required #ievent>
      </div>
      <!-- <p *ngIf="ievent.value === '' || ievent.value === 0"
             style="color:red" name="eventrequired">
             Debe ingresar el número de eventos.</p> -->
    </div>
    <!-- SEMILLA -->
    <div class="col-md-6">
      <br>
      <h4 class="text-dark">Seed</h4>
      <div class="custom-file">  
        <input [(ngModel)]="seed" name="iseed" type="number" 
        placeholder="Semilla" required #iseed class="form-control text-dark">
      </div>
      <!-- <p *ngIf="iseed.value === '' || iseed.value === 0"
             style="color:red" name="eventrequired">
             Debe ingresar la semilla.</p> -->
    </div>
    <!-- <div class="col-md-12">
      
    </div> -->

    <!-- PACKAGE -->
    <div class="col-md-12">
        <div class="form-group">
          <br>
          <h4 class="text-dark">Package</h4>
          <input [(ngModel)]="packageName" #ipackage name="ipackage"
            name="package" class="form-control text-dark" required
                type="text" placeholder="Nombre del paquete">
        </div>
        <!-- <p *ngIf="ipackage.touched && ipackage.errors?.required" 
             style="color:red" name="packagerequired">
             Debe ingresar el nombre del package.</p> -->
    </div>

    <div class="col-md-12" *ngIf="!testingRun">
      <button class="btn btn-lg btn-success btn-block" (click)="onUpload()">Iniciar Mutation Testing</button>
    </div>

    <!-- LOADING -->
    <div class="col-12" *ngIf="testingRun">
      <br>
      <br>
      <p class="text-center" style="color: darkslategray"> Ejecutando testing...</p>
      <div class="progress">
        <div class="progress-bar progress-bar-striped bg-success progress-bar-animated" role="progressbar" 
            style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
      </div>
    </div>
    <!-- BOTON GENERACION REPORTE-->
    <!-- <div class="col-md-12" *ngIf="reportAvailable">
      <br>
      <button class="btn btn-lg btn-block btn-warning" (click)="downloadReport()" >Consultar reporte de las pruebas</button>
    </div> -->
    <!-- <div class="col-md-12" *ngIf="reportAvailable">
      {{htmlReport}}
    </div> -->

  </div>
</div>

